package com.dgtly.system.mapper;


import com.dgtly.system.domain.MetaHanaDeliverOrder;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 *
 */
public interface MetaHanaDeliverOrderMapper {

    public List<MetaHanaDeliverOrder> selectMetaDeliverOrderListByNo(@Param("pageNo") Integer pageNo, @Param("pageSize") Integer pageSize);

   // public List<MetaHanaDeliverOrder> selectMetaDeliverOrderListByYes(@Param("pageNo") Integer pageNo,@Param("pageSize") Integer pageSize);

   int  selectCount();

    public  List<String> selectPlant();

    /**
     * @description: 查询所有自提的订单号
     * @param: []
     * @return:
     * @author: njs
     * @date: 2023/3/21 13:51
     */
    List<String> selectDocNumberByVSBED12();

    /** 查询手动过账自提单*/
    List<String>  selectSelfDeliverNumber();
}
